#
# Conditional build:
%bcond_without	tests		# "make check" call
%bcond_without	static_libs	# static library build

Summary:	Epoxy - GL dispatch library
Summary(pl.UTF-8):	Epoxy - biblioteka do przekazywania funkcji GL
Name:		libepoxy
Version:	1.5.3
Release:	1
License:	MIT
Group:		Libraries
##Source0Download: https://github.com/anholt/libepoxy/releases
#Source0:	https://github.com/anholt/libepoxy/releases/download/v1.4/%{name}-%{version}.tar.xz
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libepoxy/1.5/%{name}-%{version}.tar.xz
# Source0-md5:	e2845de8d2782b2d31c01ae8d7cd4cbb
URL:		https://github.com/anholt/libepoxy
%{?with_tests:BuildRequires:	Mesa-khrplatform-devel}
BuildRequires:	Mesa-libEGL-devel
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python3
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Epoxy is a library for handling OpenGL function pointer management for
you.

%description -l pl.UTF-8
Epoxy to biblioteka do obsługi zarządzania wskaźnikami do funkcji
OpenGL.

%package devel
Summary:	Development files for libepoxy
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libepoxy
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files for developing applications
that use libepoxy.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących bibliotekę libepoxy.

%package static
Summary:	Static libepoxy library
Summary(pl.UTF-8):	Statyczna biblioteka libepoxy
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libepoxy library.

%description static -l pl.UTF-8
Statyczna biblioteka libepoxy.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libepoxy.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README.md
%attr(755,root,root) %{_libdir}/libepoxy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libepoxy.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libepoxy.so
%{_includedir}/epoxy
%{_pkgconfigdir}/epoxy.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libepoxy.a
%endif
%changelog
* Sun Oct 07 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libepoxy.git;a=log;h=master

* Sun Oct 07 2018 Adam Gołębiowski <adamg@pld-linux.org> b29cc83
- updated to 1.5.3

* Sat Sep 22 2018 Jan Palus <atler@pld-linux.org> 2ab23af
- tests patch for x32 does not seem to be necessary anymore; rel 2

* Wed Sep 19 2018 Jan Palus <atler@pld-linux.org> f1ac3cd
- up to 1.5.2

* Tue Jun 13 2017 Jakub Bogusz <qboosh@pld-linux.org> bd0eb0f
- updated to 1.4.3

* Tue May 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 208e6fe
- updated to 1.4.2

* Wed Apr 12 2017 Jakub Bogusz <qboosh@pld-linux.org> 6d06bd9
- updated to 1.4.1 (dist tarball from ftp.gnome.org now, github contains only git contents)

* Sun Feb 19 2017 Jakub Bogusz <qboosh@pld-linux.org> 766706f
- updated to 1.4.0

* Mon Oct 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 5412bf3
- updated to 1.3.1

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> caf9283
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jan 04 2015 Jan Rękorajski <baggins@pld-linux.org> af0b452
- disable tests only on x32

* Sun Jan 04 2015 Jan Rękorajski <baggins@pld-linux.org> 9246887
- make some tests non-fatal, they're impossible to run on x32

* Thu Jul 17 2014 Jakub Bogusz <qboosh@pld-linux.org> 36ca5f1
- finished packaging

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 8a93af9
- bcond header

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 16daf03
- initial

